{ config, pkgs, lib, ... }:
{
  config = lib.mkIf config.system.desktop.enable {
    xdg.portal = {
      wlr = {
        enable = lib.mkForce true;
        settings.screencast = {
          max_fps = 60;
          chooser_type = "simple";
          chooser_cmd = "${pkgs.slurp}/bin/slurp -f %o -or -B 00000066 -b 00000099";
        };
      };
      extraPortals = with pkgs; [
        xdg-desktop-portal-gnome
      ];
    };
  };
}
