{ pkgs, config, ... }:
{
  services.ddclient = {
    enable = config.system.server.enable;
    protocol = "cloudflare";
    usev4 = "web, web=https://ipinfo.io/ip";
    zone = "${config.domains.p1}";
    username = "token";
    passwordFile = "${pkgs.writeText "cloudflareapikey" config.secrets.flareApiKey}";
    domains = [
      "${config.domains.p1}"
      "*.${config.domains.p1}"
      "sv.${config.domains.p1}"
      "git.${config.domains.p1}"
      "turn.${config.domains.p1}"
      "dew.${config.domains.p1}"
      "john.${config.domains.p1}"
      "beta.${config.domains.p1}"
      "rogue.${config.domains.p1}"
    ];
  };
}
